function [summary, errorMsg] = mmmbGetBinaryShortSceParamsSummary(Fid)
global MMMBLASTFNCANIMATSTATE;
global MMMBLASTITERATION;


MMMBLASTFNCANIMATSTATE = 0; % Treated like a boolean, 0 = FALSE.
MMMBLASTITERATION = -1;

summary = [];
errorMsg = 'OK';

SetFilePointerAfterEnvData(Fid);

% Read in the version number
[data count]= fread(Fid, 1, 'uint');
if count ~= 1
    errorMsg = 'Read File Error (3mb Lib Version)';
    summary = [];
    return
elseif data ~= 3
    errorMsg = '3mb Lib Version Mismatch Error';
    summary = [];
    return
end

% Skip over the subversion number and the species count in the scenario
if 0 ~= fseek(Fid, 8, 'cof')
    errorMsg = 'Set File Pointer Error';
    summary = [];
    return;
end

% Read the total animat count.
[summary.TotalAnimatCount count]= fread(Fid, 1, 'int');
if count ~= 1
    errorMsg = 'Read File Error (Animat Count)';
    summary = [];
    return
end

% Skip over the Scenario Params Species Groups
if 0 ~= fseek(Fid, 80*8, 'cof')
    errorMsg = 'Set File Pointer Error';
    summary = [];
    return;
end

% Read the number of iterations
[summary.TotalIterations count]= fread(Fid, 1, 'int');
if count ~= 1
    errorMsg = 'GetShorSummary() Read binary File Iteration Count Error';
    summary = [];
    return
else
    % Add 1 to account for the initial state of the animats
    summary.TotalIterations = summary.TotalIterations + 1;
end