function ANIMATSTATEVARS = GetAnimatStateVarsStuct(sz)

ANIMATSTATEVARS = struct(...
    'id',               0, ... unique ID
    'clock',            0, ... clock
    'coords',           1, ... animat coordinate
    'depth',            1, ... animat depth
    'bearing',          1, ... animats bearing
    'diveRate',         1, ... animat diverate
    'travelRate',       1, ... animat travel rate
    'cExposure',        0, ... animat cummulative acoustic exposure
    'iExposure',        0, ... animat momentary acoustic exposure
    'relAngle',         0, ... animats' acoustic source angle
    'secAvert',         0, ... seconds in aversion
    'bathyDepth',       1, ... bathy depth at animat's current location
    'salinity',         0, ... salinity at animat's current location
    'temperature',      0, ... temperature at animat's current location
    ...             ... packed data begins .....
    'behavior',         1, ... animats' current behavior
    'thrshFlag',        0, ... threshold flag
    'diveActivity',     1, ... note: if diveActivity here is set to 1, the
    ...                        animatState(index).diveActivity's will have one of the following
    ...                        values after the call to ReadAnimatPopulationState():
    ...                             0=SurfaceInterval,
    ...                             1=bottomfollowing,
    ...                             2=ascending,
    ...                             3=descending,
    ...                             4=ascendingReversal,
    ...                             5=descendingReversal,
    ...                             6=beached.
    'overrideBehavior', 0, ... note: if overrideBehavior here is set to 1, the 
    ...                        the animatState(index).overrideBehavior's will have one of the
    ...                        following values after the call to ReadAnimatPopulationState():
    ...                             0=Not Active,
    ...                             1=acoustic aversion,
    ...                             2=acoustic aversion shore follow left, 
    ...                             3=acoustic aversion shore follow right,
    ...                             4=pod follow,
    ...                             5=pod follow shore follow left,
    ...                             6=pod follow shore follow right,
    ...                             7=shore follow left,
    ...                             8=shore follow right
    'offscreenReset',   1, ... flag for when animat goes off screen
    ...             ... packed data ends .....
    'targetDepth',      1, ...
    'calculatedDepth',  1,...
    'xyDistance',       1,...
    'riskValue',        1);
