function polygons = Read3mbPolygons(fid)

% Read in the number of polygons stored, then skip over 12 bytes of reserved space.
numPolygons = fread(fid, 1, 'int32');
fseek(fid, 12, 'cof');

polygons = Get3mbPolygonStruct(numPolygons);

for p=1:numPolygons
    % Read in the numner of vertices of polygon p, then skip over 12 bytes of reserved space. 
    numVertices = fread(fid, 1, 'int32');
    fseek(fid, 12, 'cof');
    polygons(p).vertex = ReadVertices(fid, numVertices);
end
